#

API Docs for:
Show: Inherited Protected Private Deprecated

# mywidget.SuperWidget Class

Extends Widget
Defined in: `input/inherit/examplemodule.js:13`
Module: ExampleModule

Superclass description.
This is a second line too.

## Constructor

### `mywidget.SuperWidget`

()

Defined in `input/inherit/examplemodule.js:13`

#### Example:

    var bar;

- Index
- Methods
- Properties
- Attributes
- Events

## Item Index

### Methods

- getTargets2
- myMethod

### Properties

- name2

### Attributes

- focused2
- focused3

### Events

- init2

## Methods

### `getTargets2`

()

Defined in `input/inherit/examplemodule.js:35`

Overwritten method see mywidget.SuperWidget also see myMethod This is also a test DAVGLASS_WAS_HERE::Foo

#### Example:

    var bar;

### `myMethod`

() async

Defined in `input/inherit/examplemodule.js:27`

Supermethod description.
This is a second line.

## Properties

### `name2`

String

Defined in `input/inherit/examplemodule.js:57`

Override Property

## Attributes

### `focused2`

optional

Defined in `input/inherit/examplemodule.js:45`

Override Attribute

### `focused3`

required

Defined in `input/inherit/examplemodule.js:51`

Override Attribute

## Events

### `init2`

Defined in `input/inherit/examplemodule.js:63`

Override Event